#include <stdio.h>

typedef double real;

static real ST[64];
static unsigned _ = 0;

static void Push() { ++_; }
static void Pop()  { --_; }

static void I(real d)    { Push(); ST[_]=d; }
static void L(unsigned p) { I(ST[_-p]); }
static void W(unsigned p) { ST[_-p]=ST[_]; Pop(); }

static void M(unsigned p, int push) { real v = ST[_-p], t = ST[_]; if(push)Push(); ST[_] = t * v; }
static void A(unsigned p, int push) { real v = ST[_-p], t = ST[_]; if(push)Push(); ST[_] = t + v; }
static void S(unsigned p, int push) { real v = ST[_-p], t = ST[_]; if(push)Push(); ST[_] = t - v; }

static int C(int dir) { real v = ST[_-1] - ST[_]; Pop(); Pop(); return (dir<0)?v<0:dir>0?v>0:(v==0); }
static void w(void) { putchar((char)ST[_]); Pop(); }

static const unsigned ymax = 24;
static const unsigned xmax = 78;
static const real XMin = -2.05;
static const real XMax = +1.05;
static const real YMin = -1.4;
static const real YMax = +1.4;

int main(int argc, const char *const *argv)
{	
	I((YMax-YMin)/ymax);
	I((XMax-XMin)/xmax);
	
	I(YMin);
	I(0);

P1:	I(XMin);
	I(0);
	
P2: I(0);
	L(2);
	L(5);
	
P3:	L(0);
	M(0, 0);
	L(2);
	M(0, 0);
	
	A(1, 1);
	I(4);
	if(C(1)) goto P4;
	
	L(3);
	M(3, 0);
	A(0, 0);
	A(9, 0);

	W(3);
	S(1, 0);
	A(6, 0);

	W(3);
	W(0);
	
	I(1);
	A(3, 0);
	W(3);

	L(2);
	I(63);
	if(C(1)) goto P6;
	goto P3;
		
P4:	W(0);
	W(0);

P6:	W(0);
	W(0);
	
	I(96);
	S(1, 0);
	w();
	
	W(0);
	
	L(1);
	A(5, 0);
	W(2);
	
	I(1);
	A(1, 0);
	W(1);
	
	L(0);
	I(xmax);
	if(C(-1)) goto P2;
	
	W(0);
	W(0);
	
	I(10);
	w();
	
	L(1);
	A(4, 0);
	W(2);
	
	I(1);
	A(1, 0);
	W(1);

	L(0);
	I(ymax);
	if(C(-1)) goto P1;
	
	W(0);
	W(0);
	W(0);
	W(0);
	
	return 0;
}
